Bug 855740 - virt-install does not support macvtap
Summary: virt-install does not support macvtap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Giuseppe Scrivano
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-10 07:20 UTC by Marko Myllynen
Modified: 2016-04-26 14:51 UTC (History)
6 users (show)

Fixed In Version: python-virtinst-0.600.0-20.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 06:23:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1444 0 normal SHIPPED_LIVE python-virtinst bug fix and enhancement update 2014-10-14 01:05:50 UTC

Description Marko Myllynen 2012-09-10 07:20:07 UTC
Description of problem:
macvtap/bridge is very useful feature but it seems that it can be currently enabled only with virt-manager not with virt-install (or, of course, by manually editing the guest XML descriptions).

virt-install should allow using macvtap/bridge when installating new guests.

Version-Release number of selected component (if applicable):
RHEL 6.3 / python-virtinst-0.600.0-8.el6.noarch

Comment 5 tingting zheng 2014-05-04 08:46:40 UTC
Tested with:
python-virtinst-0.600.0-20.el6.noarch

Steps:
1.Check virt-install manual,type direct has been added there:
   Networking Configuration
       -w NETWORK, --network=NETWORK,opt1=val1,opt2=val2
         Connect the guest to the host network. The value for "NETWORK" can take one of 4 formats:
……
       type=direct,source=IFACE[,source_mode=MODE]
          Direct connect to host interface IFACE using macvtap.

2.Use virt-install to install guest with macvtap network:
# virt-install --name test_vm --ram 512 --network type=direct,source=eth0,source_mode=vepa --pxe --nodisks
Starting install...
Creating domain...                                                                                                                            |    0 B     00:00     
3.Check the guest xml:
# virsh dumpxml test_vm
    <interface type='direct'>
      <mac address='52:54:00:d4:0a:55'/>
      <source dev='eth0' mode='vepa'/>
      <target dev='macvtap0'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>

Repeated the above steps to check other mode of macvtap,it worked well,so move the bug to VERIFIED.

Comment 6 errata-xmlrpc 2014-10-14 06:23:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1444.html


Note You need to log in before you can comment on or make changes to this bug.